[flake8]
max-line-length = 120
extend-ignore = E203
max-complexity = 10
exclude = .git,.venv,__pycache__,docs,build,dist,packaging
class_attributes_order =
    meta_class,
    nested_class,
    constant,
    static_method,
    class_method,
    __new__,
    __init__,
    __post_init__,
    __str__,
    magic_method,
    property_method,
    private_property_method,
    method,
    private_method
    private_class_method,
    private_static_method,
